Bug 523957 - kdm should require fonts
Summary: kdm should require fonts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 12:21 UTC by Daniel Mach
Modified: 2009-09-25 15:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-18 16:03:56 UTC


Attachments (Terms of Use)

Description Daniel Mach 2009-09-17 12:21:08 UTC
When I manually installed kdm, it didn't pull any fonts as a dependency.
Kdm displayed rectangles instead of letters.
I installed dejavu* fonts and everyting is fine since then.

Can you add this dependency to kdm rpm?

I'm not sure if dejavu fonts are the best choice, but kdm should require at least some font for it's proper functionality.

Comment 1 Rex Dieter 2009-09-17 12:52:45 UTC
It's pretty much assumed that you have the the yum groups "base-x" and "fonts" (or *something* that provides the default Monospace, Sans, Serif definitions to fontconfig) installed, if you want a functional X environment.

For example, gdm has no explicit font requirements either.

Comment 2 Daniel Mach 2009-09-18 10:28:02 UTC
(In reply to comment #1)
> It's pretty much assumed that you have the the yum groups "base-x" and "fonts"
> (or *something* that provides the default Monospace, Sans, Serif definitions to
> fontconfig) installed, if you want a functional X environment.
I installed packages via yum install, cherry-picking just those I wanted.

> 
> For example, gdm has no explicit font requirements either.  

I'm not sure if this is a real bug, but I still think this dependency should be somehow satisfied.
Do you think it would make sense to propose some fonts to be default in Fedora? (for example dejavu or liberation).

Comment 3 Kevin Kofler 2009-09-18 10:41:47 UTC
DejaVu is basically the default, if you do an install including X11, you'll get at least that one. I don't think installing only console stuff and doing just "yum install kdm" later is something we really support. (BTW, don't you also need to install at least one desktop environment to go with kdm? Or is this an XDMCP setup or something like that?)

Comment 4 Daniel Mach 2009-09-18 11:03:12 UTC
(In reply to comment #3)
> DejaVu is basically the default, if you do an install including X11, you'll get
> at least that one. I don't think installing only console stuff and doing just
> "yum install kdm" later is something we really support. (BTW, don't you also
> need to install at least one desktop environment to go with kdm? Or is this an
> XDMCP setup or something like that?)  

Of course I installed kde along with kdm.
I have fully working desktop.

btw, I installed first package that actually needs some fonts a moment ago - openoffice.org-core. It requires both dejavu and liberation fonts.

Comment 5 Rex Dieter 2009-09-18 12:46:07 UTC
Re: comment #2
" but I still think this dependency should be somehow satisfied."

Agreed, but that's really outside the scope of kdm and *this* bug.  Mind taking up the issue onlist, on say fedora-devel ?

Comment 6 Daniel Mach 2009-09-18 14:00:00 UTC
Sure, fedora-devel is fine.
I'll start a thread and keep you in CC.

Comment 7 Rex Dieter 2009-09-18 16:03:56 UTC
OK, per ml  thread, I've added some default fonts (google-droid for now) to kde-desktop in comps.

Comment 8 Jens Petersen 2009-09-21 03:57:10 UTC
(In reply to comment #7)
> OK, per ml  thread, I've added some default fonts (google-droid for now) to
> kde-desktop in comps.  

Please use dejavu at least until all problems with google-droid
are resolved.

Comment 9 Rex Dieter 2009-09-25 15:03:14 UTC
For posterity, we ended up adding dejavu fonts to kde-desktop in comps, though the consensus from the ml thread was that in general, users should do:
yum groupinstall fonts
to get a default set of fonts.


Note You need to log in before you can comment on or make changes to this bug.